function [PI,s]=getPIs(PX)

global K ND Q cI gasprice
global draws beta sigma
global rho mpgstd
 P=PX(:,:,1); % P in 10000 dollars
XE=PX(:,:,2); % engine scaling variable
XT=PX(:,:,3); % fuel-saving Technology variable
[GPM,HPWT,C]=getZC(PX); % C in 10000 dollars
% note: here the unit of HPWT is hp/1000lbs
MPG=1./GPM;
DPM=gasprice*GPM;
B = repmat( beta,[K,1,ND]) ...
    +repmat(sigma,[K,1,ND]).*repmat(permute(draws,[3,2,1]),[K,1,1]);
% HPWT unit hp/100LB 
% scale DPM from dollor to cent
ZZ=[P,DPM*100,HPWT];
V = sum(repmat(ZZ,[1,1,ND]).*B,2);
EV=exp(V); clear V;

% EV size (K,J,ND)
%ev0=1; % add outside good (ev0=1) 
sumEV=sum(EV,1);
SD=EV./repmat(sumEV,[K,1,1]);
s=mean(SD,3); %size [K,J]

%%%%%sumEV=sum(EV,1); s=EV./sumEV;
%%%%CAFEk=MPG;

% harmonic average for CAFE
% but 1-vehicle CAFEk=MPG directly
CAFEk=MPG;
% CAFE penalty function
delta=(mpgstd-CAFEk).*(mpgstd>CAFEk);

% note: the unit of P & C here are per 10000 dollars
% rho should be changed to per 10000 dollars as well
PI=s.*(P-C)-s.*(rho.*delta);
%PI=(Q*s).*(P-C)-(Q*s).*(rho.*delta)-cI;
